/*
 * Class TYPE [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2082 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2082 [] = {0xFF01,1551,2081,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2082 [] = {0xFF01,2081,848,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2082 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2082 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2082 [] = {0xFF01,2081,848,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2082 [] = {0xFF01,2081,848,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2082 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2082 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2082 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2082 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2082 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2082 [] = {2081,848,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2082 [] = {0xFF01,2081,848,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2082 [] = {0xFF01,921,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2082 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2082 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2082 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2082 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2082 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2082 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2082 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2082 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2082 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2082 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2082 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2082 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2082 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2082 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_2082[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2082), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2082), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2082), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2082), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2082), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2082), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2082), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2082), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2082), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2082), 20254, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2082), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2082), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2082), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2082), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20241, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20247, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2082), 20238, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2082), 20239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20240, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20242, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20244, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2082), 20249, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2082), 20250, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2082), 20251, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2082), 20252, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2082), 20253, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2082), 20256, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20257, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20258, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2082), 20259, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2082), 20260, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2082), 20261, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2082), 20262, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0733 /*921*/), 20263, 0},
	{EIF_GENERIC(egt_26_2082), 20264, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2082), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2082), 20255, 0xFFFFFFFF},
};
void Init2082(void)
{
	IDSC(desc_2082, 0, 2081);
	IDSC(desc_2082 + 1, 1, 2081);
	IDSC(desc_2082 + 32, 700, 2081);
	IDSC(desc_2082 + 34, 1459, 2081);
	IDSC(desc_2082 + 38, 11, 2081);
	IDSC(desc_2082 + 60, 224, 2081);
}


#ifdef __cplusplus
}
#endif
